
#include "colors.inc"
#include "metals.inc"
#include "textures.inc"
/*
camera {

  location<-15,35,-25>
  look_at<10,20,0>}

#declare rot = 20
light_source { <0, 200, 0> color White }
*/



#declare nr = -pi/20     //nose rotation factor (in radians


#declare nx1 = sin(nr)/2    //nose sphere points calculated
#declare nx2 = sin(2*nr)/2+ nx1  // nose x
#declare nx3 = sin(3*nr)/2+ nx2
#declare nx4 = sin(4*nr)/2+ nx3
#declare nx5 = sin(5*nr)/2+ nx4
#declare nx6 = sin(6*nr)/2+ nx5
#declare nx7 = sin(7*nr)/2+ nx6
#declare nx8 = sin(8*nr)/2+ nx7
#declare nx9 = sin(9*nr)/2+ nx8
#declare nx10 = sin(10*nr)/2+ nx9

#declare ny1 = cos(nr)/1       // nose y
#declare ny2 = cos(2*nr)/1+ ny1
#declare ny3 = cos(3*nr)/1+ ny2
#declare ny4 = cos(4*nr)/1+ ny3
#declare ny5 = cos(5*nr)/1+ ny4
#declare ny6 = cos(6*nr)/1+ ny5
#declare ny7 = cos(7*nr)/1+ ny6
#declare ny8 = cos(8*nr)/1+ ny7
#declare ny9 = cos(9*nr)/1+ ny8
#declare ny10 = cos(10*nr)/1+ ny9


#declare nr = 180 * nr/pi       //nose sphere rotation




#declare th = union {
blob {
  threshold .1

  sphere { <0,0,0>,1,1.5 scale <4,2.5,2> translate <-.5,.5,0>}    //head
  sphere { <0,0,0>,1,1 scale <3,4,3> translate <3,2,0>}

//  sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr> translate <nx1,-ny1,0>}       //nose
 // sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,2*nr> translate <nx2,-ny2,0>}
 // sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*3> translate <nx3,-ny3,0>}
 // sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*4> translate <nx4,-ny4,0>}
  //sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*5> translate <nx5,-ny5,0>}
 // sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*6> translate <nx6,-ny6,0>}
//  sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*7> translate <nx7,-ny7,0>}
//  sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*8> translate <nx8,-ny8,0>}
//  sphere { <0,0,0>,1, 1 scale <2,1,2> rotate <0,0,nr*9> translate <nx9,-ny9,0>}

//  sphere { <0,0,0>,1, -1 scale <1,6,1> rotate <0,0,nr*10> translate <nx10,-ny10,0>} //nose hole

//neck
cylinder{<2,2,0>,<12,3,0>,3,1}


      //body
sphere {<0,0,0>,1,1 scale <8,8,10> translate <12,3,0>}    //front
sphere {<0,0,0>,1,1 scale <12,8.5,11> translate <20,3,0>}   //center
sphere {<0,0,0>,1,1 scale <8,8,10> translate <28,3,0>}    //back

     //legs
     //front

 sphere {<0,0,0>,1,1 scale <2,4,2> translate <8,-4,-4>} //right
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <8,-8,-4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <7,-10,-4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,-5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,-4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,-3>}

 sphere {<0,0,0>,1,1 scale <2,4,2> translate <8,-4,4>} //left
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <8,-8,4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <7,-10,4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <4,-10,3>}

    //middle

 sphere {<0,0,0>,1,1 scale <2,4,2> translate <20,-4,-4>} //right
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <20,-8,-4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <19,-10,-4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,-5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,-4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,-3>}


 sphere {<0,0,0>,1,1 scale <2,4,2> translate <20,-4,4>} //left
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <20,-8,4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <19,-10,4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <16,-10,3>}

    //rear

 sphere {<0,0,0>,1,1 scale <2,4,2> translate <32,-4,-4>} //right
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <32,-8,-4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <31,-10,-4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,-5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,-4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,-3>}


 sphere {<0,0,0>,1,1 scale <2,4,2> translate <32,-4,4>} //left
 sphere {<0,0,0>,1,1 scale <2,4,2> translate <32,-8,4>}
sphere {<0,0,0>,1,1 scale <4,2,3> translate <31,-10,4>}  //foot
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,5>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,4>}
sphere {<0,0,0>,1,1 scale <1,.75,.75> translate <28,-10,3>}



pigment { rgb<1,.7,.7>}
finish  {
 ambient .5
    brilliance 8
    diffuse 0
    metallic
    specular 0.80
    roughness 1/200
    reflection 0.4
}




}
union {                     //left eye
sphere {<0,3,-.75>,1.5
pigment {color rgb<1,1,1>}
finish {
 ambient .5
    brilliance 0
    diffuse 0
    metallic
    specular 0.80
    roughness 1/200
    reflection 0.4
   }}



sphere {<-1.5,3,-.70>,.2
pigment{Black}}
}

union {                     //right eye
sphere {<0,3,.75>,1.5
pigment {color rgb<1,1,1>}
finish {
 ambient .5
    brilliance 0
    diffuse 0
    metallic
    specular 0.80
    roughness 1/200
    reflection 0.4
   }


}
sphere {<-1.5,3,.70>,.2
pigment {color rgb<0,0,0>}

}
}
}

//sphere {<-7,-9.5,0>,1.5 pigment{Red}}

/*
plane {<0,-1,0>,11
pigment {color rgb<1,.8,1>}
finish {
 ambient .5
    brilliance 0
    diffuse 0
    metallic
    specular 0.80
    roughness 1/200
    reflection 0.4


      }

}

sky_sphere {pigment {color rgb <.5,.5,1>}}


#declare xl = 0
#declare yl = 0
#while (xl<2)
#while (yl<2)
object {th
translate <xl*50,0,yl*50>
}
#declare yl = yl + 1
#end
#declare yl = 0
#declare xl = xl +1
#end
*/

